### Name: blighty
### Title: British Isles Coastlines
### Aliases: blighty
### Keywords: hplot

### ** Examples

blighty()               # British Isles coastline
blighty(grid=TRUE)      # British Isles coastline with grid
points(399,91)          # add in Poole OS coords last digit is 1km
text(400,50,"Poole")

blighty(place="set.Scotland")   # Scotland and the Western Isles
points(327, 672)        # OS coords for Authurs Seat
text(327, 655, "Edinburgh")

blighty(place="set.Wales")      # Wales and Anglesey

blighty(place="set.Ireland")    # Ireland

blighty(place="set.England", xlimits=c(400,600), ylimits=c(50, 200))
box()                   # south of England and the Isle of Wight
                        # and the Thames Estuary

blighty(place="set.British.Isles")      # do a plot then add the capital cities
x <- c(532, 327, 317, 118, 157)         # make up two vectors of points
y <- c(181, 672, 175, 385, 529)         # for capital cities

names <- c("London", "Edinburgh", "Cardiff", "Dublin", "Belfast") # vector of names
 
points(x,y, col="red")  # add in the points in red
 
text(x + 20, y, labels=names, adj=0)
                        # add some labels displaced by 20km to the right

set.mine <- set.British.Isles$Object[c(1,2,3,87,88)]
blighty(place="set.mine", set=FALSE)
                        # specify a custom set of objects here it can
                        # be all the coastlines for the main British Isles
                        # note how you have to specify the new set in quotes
                        # and specify set=FALSE - all else should be as normal

blighty(parcol="gray")  # use a basic shading

blighty("set.Scotland", parcol="blue", parbor="red", sarcol="red", tlncol="green", tlnwdh=3)
                        # looks hideous but demonstates some of the shading
                        # functions

blighty(parang=45, parden=30, parbor="transparent", parcol="black", sarbor="transparent", tlncol="transparent")
                        # more of a picture for logos etc



